<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>StringChunk (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StringChunk (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":9,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/StringChunk.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/StoragePropertiesChunk.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/Types.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/StringChunk.html" target="_top">Frames</a>
        </li>
        <li><a href="StringChunk.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hsmf.datatypes.Chunk">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hsmf.datatypes</div>
    <h2 title="Class StringChunk" class="title">Class StringChunk</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                       title="class in org.apache.poi.hsmf.datatypes">org.apache.poi.hsmf.datatypes.Chunk</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hsmf.datatypes.StringChunk</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">StringChunk</span>
extends <a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
           title="class in org.apache.poi.hsmf.datatypes">Chunk</a></pre>
                <div class="block">A Chunk made up of a single string.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hsmf.datatypes.Chunk">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hsmf.datatypes.<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#DEFAULT_NAME_PREFIX">DEFAULT_NAME_PREFIX</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#StringChunk-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">StringChunk</a></span>(int&nbsp;chunkId,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                       title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>
                                    <div class="block">Create a String Chunk, with the specified type.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#StringChunk-java.lang.String-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">StringChunk</a></span>(java.lang.String&nbsp;namePrefix,
                                    int&nbsp;chunkId,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                       title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>
                                    <div class="block">Creates a String Chunk.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#get7BitEncoding--">get7BitEncoding</a></span>()</code>
                                    <div class="block">Returns the Encoding that will be used to decode any "7 bit" (non
                                        unicode) data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#getRawValue--">getRawValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#getValue--">getValue</a></span>()</code>
                                    <div class="block">Returns the Text value of the chunk</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#parseAs7BitData-byte:A-">parseAs7BitData</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">Parses as non-unicode, supposedly 7 bit CP1252 data and returns
                                        the
                                        string that that yields.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#parseAs7BitData-byte:A-java.lang.String-">parseAs7BitData</a></span>(byte[]&nbsp;data,
                                    java.lang.String&nbsp;encoding)</code>
                                    <div class="block">Parses as non-unicode, supposedly 7 bit data and returns the
                                        string that
                                        that yields.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#readValue-java.io.InputStream-">readValue</a></span>(java.io.InputStream&nbsp;value)</code>
                                    <div class="block">Reads the value of this chunk using an InputStream</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#set7BitEncoding-java.lang.String-">set7BitEncoding</a></span>(java.lang.String&nbsp;encoding)</code>
                                    <div class="block">Sets the Encoding that will be used to decode any "7 bit" (non
                                        unicode)
                                        data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#setValue-java.lang.String-">setValue</a></span>(java.lang.String&nbsp;str)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#writeValue-java.io.OutputStream-">writeValue</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Writes the value of this chunk back out again.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hsmf.datatypes.Chunk">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hsmf.datatypes.<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a></h3>
                                <code><a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#getChunkId--">getChunkId</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#getEntryName--">getEntryName</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#getType--">getType</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="StringChunk-java.lang.String-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>StringChunk</h4>
                                <pre>public&nbsp;StringChunk(java.lang.String&nbsp;namePrefix,
                   int&nbsp;chunkId,
                   <a href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                      title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</pre>
                                <div class="block">Creates a String Chunk.</div>
                            </li>
                        </ul>
                        <a name="StringChunk-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>StringChunk</h4>
                                <pre>public&nbsp;StringChunk(int&nbsp;chunkId,
                   <a href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                      title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</pre>
                                <div class="block">Create a String Chunk, with the specified type.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="get7BitEncoding--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get7BitEncoding</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;get7BitEncoding()</pre>
                                <div class="block">Returns the Encoding that will be used to decode any "7 bit" (non
                                    unicode) data. Most files default to CP1252
                                </div>
                            </li>
                        </ul>
                        <a name="set7BitEncoding-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>set7BitEncoding</h4>
                                <pre>public&nbsp;void&nbsp;set7BitEncoding(java.lang.String&nbsp;encoding)</pre>
                                <div class="block">Sets the Encoding that will be used to decode any "7 bit" (non
                                    unicode)
                                    data. This doesn't appear to be stored anywhere specific in the file, so
                                    you may need to guess by looking at headers etc
                                </div>
                            </li>
                        </ul>
                        <a name="readValue-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readValue</h4>
                                <pre>public&nbsp;void&nbsp;readValue(java.io.InputStream&nbsp;value)
               throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#readValue-java.io.InputStream-">Chunk</a></code></span>
                                </div>
                                <div class="block">Reads the value of this chunk using an InputStream</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#readValue-java.io.InputStream-">readValue</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                                title="class in org.apache.poi.hsmf.datatypes">Chunk</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeValue-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeValue</h4>
                                <pre>public&nbsp;void&nbsp;writeValue(java.io.OutputStream&nbsp;out)
                throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#writeValue-java.io.OutputStream-">Chunk</a></code></span>
                                </div>
                                <div class="block">Writes the value of this chunk back out again.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#writeValue-java.io.OutputStream-">writeValue</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                                title="class in org.apache.poi.hsmf.datatypes">Chunk</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getValue()</pre>
                                <div class="block">Returns the Text value of the chunk</div>
                            </li>
                        </ul>
                        <a name="getRawValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRawValue</h4>
                                <pre>public&nbsp;byte[]&nbsp;getRawValue()</pre>
                            </li>
                        </ul>
                        <a name="setValue-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setValue</h4>
                                <pre>public&nbsp;void&nbsp;setValue(java.lang.String&nbsp;str)</pre>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="parseAs7BitData-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parseAs7BitData</h4>
                                <pre>protected static&nbsp;java.lang.String&nbsp;parseAs7BitData(byte[]&nbsp;data)</pre>
                                <div class="block">Parses as non-unicode, supposedly 7 bit CP1252 data and returns the
                                    string that that yields.
                                </div>
                            </li>
                        </ul>
                        <a name="parseAs7BitData-byte:A-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>parseAs7BitData</h4>
                                <pre>protected static&nbsp;java.lang.String&nbsp;parseAs7BitData(byte[]&nbsp;data,
                                                  java.lang.String&nbsp;encoding)</pre>
                                <div class="block">Parses as non-unicode, supposedly 7 bit data and returns the string
                                    that
                                    that yields.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/StringChunk.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/StoragePropertiesChunk.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/Types.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/StringChunk.html" target="_top">Frames</a>
        </li>
        <li><a href="StringChunk.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hsmf.datatypes.Chunk">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
